<?php
/**
 * Copyright © Magento, Inc. All rights reserved.
 * See COPYING.txt for license details.
 */

// phpcs:disable Magento2.Templates.ThisInTemplate

/** @var $block \Magento\Sales\Block\Order\Email\Items\DefaultItems */

/** @var $_item \Magento\Sales\Model\Order\Item */
$_item = $block->getItem();
$_order = $_item->getOrder();
?>
<tr>
    <td class="item-info<?= ($block->getItemOptions() ? ' has-extra' : '') ?>">
        <p class="product-name"><?= $block->escapeHtml($_item->getName()) ?></p>
        <p class="sku"><?= $block->escapeHtml(__('SKU')) ?>: <?= $block->escapeHtml($block->getSku($_item)) ?></p>
        <?php if ($block->getItemOptions()) : ?>
            <dl class="item-options">
            <?php foreach ($block->getItemOptions() as $option) : ?>
                <dt><strong><em><?= $block->escapeHtml($option['label']) ?></em></strong></dt>
                <dd>
                    <?= /* @noEscape */  nl2br($block->escapeHtml($option['value'])) ?>
                </dd>
            <?php endforeach; ?>
            </dl>
        <?php endif; ?>
        <?php $addInfoBlock = $block->getProductAdditionalInformationBlock(); ?>
        <?php if ($addInfoBlock) :?>
            <?= $addInfoBlock->setItem($_item)->toHtml() ?>
        <?php endif; ?>
        <?= $block->escapeHtml($_item->getDescription()) ?>
    </td>
    <td class="item-status"><?= $_item->getStatus() ?></td>    
    <td class="item-qty"><?= (float) $_item->getQtyOrdered() ?></td>
    
    

<td class="item-status"><?= $this->helper('Magento\Framework\Pricing\Helper\Data')->currency(number_format($_item->getOriginalPrice(), 2), true, false); ?></td>


<td class="item-status"><?= $this->helper('Magento\Framework\Pricing\Helper\Data')->currency(number_format($_item->getData('original_price') * $_item->getData('qty_ordered'), 2), true, false); ?></td>


    

    <?php 
$total_ex = $_item->getData('original_price') * $_item->getData('qty_ordered'); 
$last_total = $total_ex - $_item->getData('discount_amount');
$new_subtotal = '';
 $new_subtotal = $last_total + $_item->getData('tax_amount');
    ?>


    <td class="item-status"><?= $this->helper('Magento\Framework\Pricing\Helper\Data')->currency(number_format($last_total, 2), true, false); ?></td>
    <td class="item-status"><?= $_item->getTaxPercent() ?></td>


    <td class="item-status"><?= $this->helper('Magento\Framework\Pricing\Helper\Data')->currency(number_format($_item->getTaxAmount(), 2), true, false); ?></td>

    <td class="item-status"><?= $this->helper('Magento\Framework\Pricing\Helper\Data')->currency(number_format($new_subtotal, 2), true, false); ?></td>

    <td class="item-status"><?= $this->helper('Magento\Framework\Pricing\Helper\Data')->currency(number_format($_item->getData('discount_amount'), 2), true, false); ?></td>
    
    
    <td class="item-price">
        <!-- <?= $block->getItemPrice($_item) ?> -->
    </td>
</tr>
<?php if ($_item->getGiftMessageId()
    && $_giftMessage = $this->helper(\Magento\GiftMessage\Helper\Message::class)
        ->getGiftMessage($_item->getGiftMessageId())
) : ?>
    <tr>
    <td colspan="3" class="item-extra">
        <table class="message-gift">
            <tr>
                <td>
                    <h3><?= $block->escapeHtml(__('Gift Message')) ?></h3>
                    <strong><?= $block->escapeHtml(__('From:')) ?></strong> <?= $block->escapeHtml($_giftMessage->getSender()) ?>
                    <br /><strong><?= $block->escapeHtml(__('To:')) ?></strong> <?= $block->escapeHtml($_giftMessage->getRecipient()) ?>
                    <br /><strong><?= $block->escapeHtml(__('Message:')) ?></strong>
                    <br /><?= $block->escapeHtml($_giftMessage->getMessage()) ?>
                </td>
            </tr>
        </table>
    </td>
</tr>
<?php endif; ?>
